Добавить деталь из файла

Автор Ведун, 21.11.09, 20:17:47

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

Ведун

Коллеги, будте добры посмотрите:
Необходимо: деталь из одного файла (1.m3d) добавить в другой активный.
Получилось: порылся по примерам, по темам на форуме и наваял такую процедуру: она открывает файл 1.m3d (!) наверное копирует деталь создает новый файл и больше ничего не делает. Подскажите: что добавить в код, чтобы в новый документ добавилась деталь?

procedure TForm1.Button1Click(Sender: TObject);
var
doc,doc2: ksDocument3D;
iPart: ksPart;
iPlaneEntity: ksEntity;
begin

Doc2:= ksDocument3D(Kompas.Document3D());
Doc2.Open('C:\1.m3d',true);
Doc2:= ksDocument3D(Kompas.ActiveDocument3D);
iPart := ksPart(doc2.GetPart(pTop_Part));

Doc:= ksDocument3D(Kompas.Document3D);
Doc.Create(false, true);
Doc:= ksDocument3D(Kompas.ActiveDocument3D);
//iPlaneEntity:=ksEntity(iPart.GetDefaultEntity(o3d_planeXOY));
//Doc.CreatePartFromFile('Редуктор', iPart, iPlaneEntity);

doc2.close;
{......}
end;